%define lib_major	1
%define lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname -d %{name}

%define req_eel_version 2.15.91
%define req_gnomedesktop_version 2.1.0
%define req_librsvg_version 2.3.0
%define req_vfs_version 2.14.2

Name: nautilus
Version: 2.20.0
Release: %mkrel 4
Summary: Nautilus is a file manager for the GNOME desktop environment
Group: File tools
License: GPL
URL: http://www.gnome.org/projects/nautilus/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/nautilus/nautilus-%{version}.tar.bz2
Source1: nautilus_16.png
Source2: nautilus_32.png
Source3: nautilus_48.png
# (fc) 1.0.6-1mdk new default desktop initialization
Patch2: nautilus-defaultdesktop.patch
# (fc) 1.0.4-4mdk merged desktop with system desktop
Patch12: nautilus-2.5.1-dynamic.patch
# (fc) 2.0.5-2mdk enable tree by default, directory are listed before files, don't show files in tree
Patch22: nautilus-2.3.7-mdksettings.patch
# (fc) 2.3.9-2mdk don't show KDE specific links (CVS + me) (Mdk bug #4844)
Patch28: nautilus-2.10.1-kdedesktop.patch
# (fc) 2.3.9-3mdk allow editing .desktop files everywhere
Patch31: nautilus-2.9.1-editdesktop.patch
# (fc) 2.4.0-1mdk don't colourise selected icon
Patch32: nautilus-2.17.1-colour.patch
# (fc) 2.8.2-7mdk don't monitor supermount devices (Mdk bug #14880)
Patch36: nautilus-2.8.2-supermount.patch
# (fc) 2.10.1-8mdk don't check sound server status to allow audio preview
Patch39: nautilus-2.10.1-audiopreview.patch
# (fc) 2.20.0-2mdv fix thumbnail incorrect invalidation (GNOME bug #480608)
Patch40: nautilus-2.20.0-fixthumbnail.patch
# (fc) 2.20.0-3mdv fix missing frame for async thumbnails (GNOME bug #478363)
Patch41: nautilus-2.20.0-fixframethumbnail.patch
# (fc) 2.20.0-4mdv fix small fonts crash (GNOME bug #454884)
Patch42: nautilus-2.20.0-fixsmallfontcrash.patch

BuildRoot:%{_tmppath}/%{name}-%{version}-root

Obsoletes: gmc
Provides: gmc

Requires: mpg123
Requires: vorbis-tools
Requires: sox
Requires: drakxtools-newt >= 1.1.7-46mdk
# needed for dynamic desktop
Requires: gnome-vfs2 >= %{req_vfs_version}
Requires: %{lib_name} >= %{version}-%{release}
Requires: eel >= %{req_eel_version}

Requires(post): shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils
BuildRequires: eel-devel >= %{req_eel_version}
BuildRequires: gnome-desktop-devel >= %{req_gnomedesktop_version}
BuildRequires: gnome-vfs2-devel >= %{req_vfs_version}
BuildRequires: librsvg-devel >= %{req_librsvg_version}
BuildRequires: libjpeg-devel
BuildRequires: libgnomeui2-devel > 2.5.0
BuildRequires: libORBit2-devel >= 2.9.0
BuildRequires: libcdda-devel
BuildRequires: libexif-devel >= 0.6.9
BuildRequires: libbeagle-devel
BuildRequires: perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: libgcrypt-devel
Obsoletes: nautilus-trilobite
Provides: nautilus-trilobite = %{version}

%description
Nautilus is an excellent file manager for the GNOME desktop environment.

%package -n %{lib_name}
Summary:        Libraries for Nautilus File manager
Group:          System/Libraries
Conflicts:	%{_lib}nautilus2

%description -n %{lib_name}
Nautilus is an excellent file manager for the GNOME desktop environment.
This package contains libraries used by Nautilus.

%package -n %{develname}
Summary:        Libraries and include files for developing nautilus components
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:		%{lib_name} = %{version}
Requires:       eel-devel >= %{req_eel_version}
Requires:       librsvg-devel >= %{req_librsvg_version}
Obsoletes:		%{name}-devel
Obsoletes:		%{lib_name}-devel
Provides:		%{name}-devel = %{version}
Provides:		lib%{name}-devel = %{version}
Conflicts:		%{_lib}nautilus0-devel
Conflicts:		%{_lib}nautilus2-devel

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch12 -p1 -b .dynamic
%patch2  -p1 -b .defaultdesktop
%patch22 -p1 -b .mdksettings
%patch28 -p1 -b .kdedesktop
%patch31 -p1 -b .editdesktop
%patch32 -p1 -b .colour
%patch36 -p1 -b .supermount
%patch39 -p1 -b .audiopreview
%patch40 -p1 -b .fixthumbnail
%patch41 -p1 -b .fixframethumbnail
%patch42 -p1 -b .smallfontcrash

%build

CFLAGS="$RPM_OPT_FLAGS -DUGLY_HACK_TO_DETECT_KDE" %configure2_5x --disable-update-mimedb

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps/nautilus
bzcat %{SOURCE5} | tar xf -
popd

mkdir -p  $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/nautilus.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/nautilus.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/nautilus.png

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/gnome/desktop \
 $RPM_BUILD_ROOT%{_datadir}/nautilus/default-desktop

mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0

%{find_lang} %{name} --with-gnome --all-name

%post
%{update_menus}
%post_install_gconf_schemas apps_nautilus_preferences
%update_mime_database
%update_desktop_database
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas apps_nautilus_preferences

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%postun
%{clean_menus}
%clean_mime_database
%clean_desktop_database
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS HACKING AUTHORS MAINTAINERS
%{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas
%dir %{_localstatedir}/gnome/desktop
%dir %{_localstatedir}/gnome/
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/nautilus
%{_iconsdir}/hicolor/*/apps/nautilus.*
%_datadir/mime/packages/nautilus.xml
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-1.0

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libnautilus*.so.%{lib_major}*


%files -n %{develname}
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Wed Oct 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-4mdv2008.0
+ Revision: 94930
- Patch42 (SVN): fix small fonts crash (GNOME bug #454884)

* Tue Oct 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-3mdv2008.0
+ Revision: 94664
- Patch41 (SVN): fix missing frame for async thumbnails (GNOME bug #478363)

* Tue Oct 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 94625
- Patch40 (SVN): fix thumbnail incorrect invalidation (GNOME bug #480608)

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89481
- new version
- drop patch 40

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.91-4mdv2008.0
+ Revision: 85545
- Update patch2 to work with xdg user directory
- don't update/clean gnome icon cache anymore

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-3mdv2008.0
+ Revision: 72654
- remove emblem-shared, it is in gnome-icon-theme

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.91-2mdv2008.0
+ Revision: 72473
- Patch40: fix .desktop to be valid
- Don't add old obsoletes categories to existing .desktop

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71817
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63276
- new version

* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-2mdv2008.0
+ Revision: 59956
- Remove patch40, not needed anymore with XDG user dirs

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56995
- fix buildrequires
- new version
- drop patch 41

* Tue Jul 24 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.5-2mdv2008.0
+ Revision: 54987
- Added P41 from svn to fix crash in browser mode

* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50855
- New version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41287
- new version
- call unversioned automake

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 36019
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-3mdv2008.0
+ Revision: 14382
- new version


* Tue Apr 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0.1-3mdv2007.1
+ Revision: 150400
- Update patch2 to handle productid with trailing space

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0.1-2mdv2007.1
+ Revision: 144376
- Update patch2: add support for default desktop files based on productid

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 141722
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141697
- new version
- readd ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 125912
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-2mdv2007.1
+ Revision: 120778
- bump
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111888
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 98481
- new version
- rediff patch 32
- add new icons

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86209
- new version

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 78048
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63832
- rebuild
- unpack patches
- Import nautilus

* Fri Oct 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 41
- New version 2.16.1

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch41 (CVS): fix various crashes

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92.1-1mdv2007.0
- Release 2.15.92.1

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- bump deps
- drop patch 1
- New release 2.15.91

* Tue Aug 08 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-3mdv2007.0
- patch 1: fix bug 23804

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- bump deps
- New release 2.15.90

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest libgail

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- bump deps
- New release 2.15.4

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Fix patch40 to no longer used removed eel functions

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1
- New release 2.15.2

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1
- Remove patch37 (merged upstream)

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-6mdk
- Remove patch18 (no longer needed)

* Thu Apr 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.14.1-5mdk
- add BuildRequires: intltool

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-4mdk
- Fix invalid conflicts on library package

* Mon Apr 17 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- enable beagle support

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Add conflicts to ease upgrade

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Sun Mar 05 2006 Michael Scherer <misc@mandriva.org> 2.12.2-4mdk
- own %%{_localstatedir}/gnome/, fix #16329

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Fortify uninstall script

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-6mdk
- Update patch40, fix crash when .desktop (Mdk bug #19464)

* Tue Oct 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-5mdk
- Patch40: add support for .desktop item in gtk bookmarks

* Fri Oct 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Update buildrequires

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Fix buildrequires

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new libgsf

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patches 0, 34, 38, 40, 41 (merged upstream)

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-9mdk 
- Patch40 (CVS): various upstream fixes including Mdk bug #17968
- Patch41 (neumair): fix lazy icon positioning (for new volume)

* Sat Sep 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch39: don't check sound server status to allow audio preview

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Update patch28 to not show device box from KDE

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-6mdk
- rebuild to remove glitz dep

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch38: workaround bug in radeon acceleration (Mdk bug #17723)

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Update patch28 to also hide KDE trask .desktop file

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-3mdk
- don't thumbnail files that are still changing

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- fix buildrequires

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Regenerate patch31
- Remove patches 33 (no longer applicable), 35 (merged upstream)
- Remove dependency on gnome-control-center

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-8mdk 
- Patch37: fix i18n init for windows name

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-7mdk 
- Patch36: don't monitor supermount devices (Mdk bug #14880)

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Patch35 (CVS): various fixes

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.2-4mdk
- rebuild with libexif 0.6.x

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Remove eog dependency, bonobo component is no more used (Fedora)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-2mdk
- add sox dependancy (Thierry Vignaud)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2
- Remove patches 16 (handled by nautilus-filesharing extension), 35, 36, 37, 38 (merged upstream)
- Regenerate patches 2, 31

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-10mdk
- Update patch36 to remove one warning
- Update patch16 to remove one warning
- Update patch31 for new mimetype for desktop file

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-9mdk
- Patch37: fix emblem sort (Mdk bug #10767)
- Patch38 (CVS): fix rare crash

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-8mdk
- Patch35 (CVS): quiet nautilus for small image file
- Patch36 : fix bonobo warning (Mdk bug #11125)

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-7mdk
- Patch34: fix background with local encoded name loading (Mdk bug #10353)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-6mdk
- Fix menu

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.3-5mdk
- disable patch 33 to build with libexif9 again

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-4mdk
- Patch33: Fix build with libexif 0.6.9

* Sat Jul 24 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.3-3mdk
- add BuildRequires: automake1.8

* Thu Jul 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com>  2.6.3-2mdk
- Requires gnome-control-center for the file-properties config dialog.

* Wed Jun 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- new version

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- rediff patch 16
- New release 2.6.1

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Rebuild against latest libcroco

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Regenerates patches 12, 16, 31
- Bump requirements
- Disable patch27 (need to be moved to gnome-vfs)
- Remove patches 33, 34, 35 (merged upstream)

